Jump to content
ElementaryOS France
  • 0
enemesis

[non-résolu] Pyrenamer ne se lance pas.

Question

Il m'est impossible d’utiliser Pyrenamer après installation sur Freya.

Je rencontre le même problème avec Brasero.

enemesis@enemesis-pc:~$ pyrenamer
(pyrenamer:6366): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »
(pyrenamer:6366): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »
(pyrenamer:6366): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »
(pyrenamer:6366): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »
(pyrenamer:6366): Gtk-WARNING **: Impossible de trouver le moteur de thème dans module_path : « pixmap »
Gtk-Message: Failed to load module "canberra-gtk-module"
/usr/lib/pymodules/python2.7/pyrenamer/pyrenamer.py:120: GtkWarning: GtkSpinButton: setting an adjustment with non-zero page size is deprecated
  self.glade_tree = gtk.glade.XML(pyrenamerglob.gladefile, "main_window")
/usr/lib/pymodules/python2.7/pyrenamer/pyrenamer.py:328: GtkWarning: IA__gtk_window_resize: assertion 'width > 0' failed
  self.main_window.resize(self.window_width, self.window_height)
Attempt to unlock mutex that was not locked
Abandon (core dumped)
enemesis@enemesis-pc:~$ 

Share this post


Link to post
Share on other sites

8 answers to this question

Recommended Posts

  • 0

Ça ne viens pas de canberra-gtk visiblement.

Après installation de ce paquet rien n'est amélioré.

sudo apt-get install libcanberra-gtk-module

Même en testant la lib en i386 :

sudo apt-get install libcanberra-gtk-module:i386

Share this post


Link to post
Share on other sites
  • 0

Bonsoir, j'ai le même problème que enemesis. le problème ne viens pas de canberra-gtk, mais de ça:

 

Attempt to unlock mutex that was not locked

 

Par contre je sais pas du tout comment y remédier...

Share this post


Link to post
Share on other sites
  • 0

Malheureusement non, il s'agit de mullvad, un vpn qui marchait très bien avec mint et ubuntu 15.10, mais que j'arrive pas à faire fonctionner avec eOS freya.

Share this post


Link to post
Share on other sites
  • 0

Est-ce que mullvad a des fichiers *.ovpn en auto-login? je suppose que oui, mais pas forcément en auto-login.
Si c'est le cas, tu peux le lancer automatiquement au démarrage avec rc.local. J'utilise ce truc perso depuis plusieurs années et ça fonctionne nickel. S'ils ne sont pas auto-login, il y a moyen de bricoler ça. J'ai fait un tuto il me semble... Exemple dans /etc/rc.local:

openvpn --config /etc/openvpn/mon_vpn.ovpn

On peut aussi faire des lanceurs pour changer de serveur. Exemple:

#!/usr/bin/env xdg-open
[Desktop Entry]
Version=1.0
Type=Application
Terminal=true
Icon=gnome-panel-launcher
Exec=sh -c "sudo killall openvpn ; sudo openvpn /etc/openvpn/mon_vpn.ovpn"
Name=MonVPN
Icon=gnome-panel-launcher
Categories=Network

Pour que les lanceurs fonctionnent, il faut installer gnome-terminal et le configurer comme Terminal par défaut. Ensuite, tu vas dans Edition > Préférences du profil > Titre et commande > Quand la commande se termine: Conserver le Terminal ouvert.

Certains utilisent des scripts compliqués pour faire ça, mais ma méthode fonctionne très bien.

 

La commande multiple:

sh -c "sudo killall openvpn ; sudo openvpn /etc/openvpn/mon_vpn.ovpn"

permet d'arrêter le serveur en cours puis d'en redémarrer un autre. Si aucun serveur n'était actif, c'est pas grave, ça fonctionne quand même...

 

Pour arrêter le serveur (càd passer en connexion normale):

sudo killall openvpn

On peut aussi en faire un lanceur.

Edited by nettlebay

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×
×
  • Create New...